Merge #67 `CI Tests: updates old test cases to use actual beakerlib functions`

This commit is contained in:
Martin Cermak 2023-01-18 16:46:03 +00:00
commit 64c7d00676
12 changed files with 94 additions and 90 deletions

View File

@ -13,7 +13,7 @@ contact: Petr Muller <pmuller@redhat.com>
component:
- glibc
test: ./runtest.sh
framework: shell
framework: beakerlib
recommend:
- glibc
- gcc

View File

@ -74,7 +74,7 @@ contact: Petr Muller <pmuller@redhat.com>
component:
- glibc
test: ./runtest.sh
framework: shell
framework: beakerlib
recommend:
- glibc
tag:

View File

@ -26,29 +26,34 @@
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Include rhts environment
rpm -Uvh http://nest.test.redhat.com/mnt/qa/scratch/pmuller/rhtslib/rhtslib.rpm
# Include Beaker environment
. /usr/share/beakerlib/beakerlib.sh || exit 1
PACKAGE="glibc"
rlJournalStart
rlPhaseStartSetup Setup
rlAssertRpm $PACKAGE
rlRun "gcc -O0 testcase.c -o tc0"
rlRun "gcc -O2 testcase.c -o tc2"
rlPhaseEnd
rlPhaseStartSetup
rlAssertRpm $PACKAGE
rlRun "TESTTMPDIR=$(mktemp -d)"
rlRun "cp testcase.c $TESTTMPDIR"
rlRun "pushd $TESTTMPDIR"
rlPhaseEnd
rlPhaseStartTest Testing
rlRun "./tc0"
rlAssertNotEquals "Checking for the bug 455360 itself" $? 139
rlAssertExists "abcd"
rlRun "rm -f abcd"
rlRun "./tc2"
rlAssertNotEquals "Checking for the bug 455360 itself" $? 139
rlAssertExists "abcd"
rlPhaseEnd
rlPhaseStartTest Testing
rlRun "gcc -O0 testcase.c -o tc0"
rlRun "gcc -O2 testcase.c -o tc2"
rlRun "./tc0"
rlAssertNotEquals "Checking for the bug 455360 itself" $? 139
rlAssertExists "abcd"
rlRun "rm -f abcd"
rlRun "./tc2"
rlAssertNotEquals "Checking for the bug 455360 itself" $? 139
rlAssertExists "abcd"
rlPhaseEnd
rlPhaseStartCleanup Cleanup
rlRun "rm -f tc0 tc2 abcd"
rlPhaseEnd
rlPhaseStartCleanup Cleanup
rlRun "popd"
rlRun "rm -r $TESTTMPDIR"
rlPhaseEnd
rlJournalPrintText
rlJournalEnd

View File

@ -14,7 +14,7 @@ contact: Petr Muller <pmuller@redhat.com>
component:
- glibc
test: ./runtest.sh
framework: shell
framework: beakerlib
recommend:
- glibc
- quota-devel

View File

@ -1,3 +1,5 @@
#!/bin/bash
# vim: dict+=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
# runtest.sh - bz464146-sp-corruption - Bugzilla(s) 464146
# Author: Petr Muller <pmuller@redhat.com>
# Location: /tools/glibc/Regression/bz464146-sp-corruption/runtest.sh
@ -18,50 +20,43 @@
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
PACKAGE=glibc
# Include rhts environment
# Include Beaker environment
. /usr/share/beakerlib/beakerlib.sh || exit 1
rlStartJournal
######################
# Prepare environment
######################
rlPhaseStartSetup Preparation
rlAssertRpm ${PACKAGE}
ARCH=`uname -m`
if [ "$ARCH" == "ia64" -o "$ARCH" == "aarch64" -o "$ARCH" == "ppc64le" ]
then
FLAGS=""
else
FLAGS="-m64"
fi
rlRun "gcc $FLAGS testit.c -o testit -lpthread" 0 "Compiling the testcase"
PACKAGE="glibc"
TESTPROG="testit"
rlPhaseEnd
rlJournalStart
rlPhaseStartSetup
rlAssertRpm ${PACKAGE}
rlRun "TESTTMPDIR=$(mktemp -d)"
rlRun "cp ${TESTPROG}.c $TESTTMPDIR"
rlRun "pushd $TESTTMPDIR"
######################
# Begin Test-Case
######################
rlPhaseStartTest Test
output=`mktemp`
./testit > $output
RC=$?
ARCH=`uname -m`
if [ "$ARCH" == "ia64" -o "$ARCH" == "aarch64" -o "$ARCH" == "ppc64le" ]
then
FLAGS=""
else
FLAGS="-m64"
fi
rlPhaseEnd
rlAssert0 "Testing for success of the testcases" $RC
rlAssertNotEquals "Testing for segfault (bug 464146)" $RC 139
rlAssertEquals "Testing for correct output - output should contain 1 line" `cat $output | wc -l` 1
cat $output > /tmp/mineminemine
rlAssertGrep "received \"Hello World\!\"" /tmp/mineminemine
rlPhaseEnd
######################
# Clean after the test
######################
rlPhaseStartCleanup Clean-Up
rlRun "rm -f $output testit"
rlCreateLogFromJournal > ${OUTPUTFILE}
rlCompareJournalWithRCW
rlPhaseEnd
rlPhaseStartTest Test
rlRun "gcc $FLAGS ${TESTPROG}.c -o ${TESTPROG} -lpthread"
rlAssertExists "${TESTPROG}"
./${TESTPROG} > log
RC=$?
rlAssert0 "Testing for success of the testcases" $RC
rlAssertNotEquals "Testing for segfault (bug 464146)" $RC 139
rlAssertEquals "Testing for correct output - output should contain 1 line" `cat log | wc -l` 1
rlAssertGrep "received \"Hello World\!\"" log
rlPhaseEnd
rlPhaseStartCleanup
rlRun "popd"
rlRun "rm -r $TESTTMPDIR"
rlPhaseEnd
rlJournalPrintText
rlJournalEnd

View File

@ -6,6 +6,7 @@
#include <netdb.h>
#include <sys/mman.h>
#include <limits.h>
#include <unistd.h>
/*
@ -26,7 +27,7 @@ int port;
void *receiver(void *);
void *sender(void *);
main(argc,argv)
int main(argc,argv)
int argc;
char *argv[];
{

View File

@ -14,7 +14,7 @@ contact: Petr Muller <pmuller@redhat.com>
component:
- glibc
test: ./runtest.sh
framework: shell
framework: beakerlib
recommend:
- glibc
- gcc

View File

@ -1,3 +1,5 @@
#!/bin/bash
# vim: dict+=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
# runtest.sh - bz471298-pthread_cond - Bugzilla(s) 471298
# Author: Petr Muller <pmuller@redhat.com>
# Location: /tools/glibc/Regression/bz471298-pthread_cond/runtest.sh
@ -18,29 +20,30 @@
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
PACKAGE=glibc
# Include rhts environment
rpm -Uvh http://nest.test.redhat.com/mnt/qa/scratch/pmuller/rhtslib/rhtslib.rpm
# Include Beaker environment
. /usr/share/beakerlib/beakerlib.sh || exit 1
rlStartJournal
rlPhaseStartSetup Preparation
rlAssertRpm ${PACKAGE}
rlRun 'gcc -lpthread -lrt pthread_cond_test.c -o pthread_test' 0 "Comnpiling the testcase"
rlPhaseEnd
PACKAGE="glibc"
TESTPROG="pthread_cond_test"
######################
# Begin Test-Case
######################
rlPhaseStartTest Test
rlWatchdog './pthread_test' 10
rlAssert0 "Checking if the command had to be killed (bug 471298)" $?
rlPhaseEnd
rlJournalStart
rlPhaseStartSetup
rlAssertRpm ${PACKAGE}
rlRun "TESTTMPDIR=$(mktemp -d)"
rlRun "cp ${TESTPROG}.c $TESTTMPDIR"
rlRun "pushd $TESTTMPDIR"
rlPhaseEnd
######################
# Clean after the test
######################
rlPhaseStartCleanup Clean-Up
rlRun "rm -f pthread_test" 0 "Cleaning up the executable"
rlPhaseEnd
rlPhaseStartTest Test
rlRun "gcc -lpthread -lrt ${TESTPROG}.c -o ${TESTPROG}"
rlAssertExists "${TESTPROG}"
rlWatchdog "./${TESTPROG}" 10
rlAssert0 "Checking if the command had to be killed (bug 471298)" $?
rlPhaseEnd
rlPhaseStartCleanup
rlRun "popd"
rlRun "rm -r $TESTTMPDIR"
rlPhaseEnd
rlJournalPrintText
rlJournalEnd

View File

@ -47,7 +47,7 @@ contact: Petr Muller <pmuller@redhat.com>
component:
- glibc
test: ./runtest.sh
framework: shell
framework: beakerlib
recommend:
- glibc
- strace

View File

@ -39,7 +39,7 @@ contact: Petr Muller <pmuller@redhat.com>
component:
- glibc
test: ./runtest.sh
framework: shell
framework: beakerlib
recommend:
- glibc
- perl

View File

@ -4,7 +4,7 @@ contact: Petr Muller <pmuller@redhat.com>
component:
- glibc
test: ./runtest.sh
framework: shell
framework: beakerlib
recommend:
- glibc
- gcc

View File

@ -5,7 +5,7 @@ contact: Petr Muller <pmuller@redhat.com>
component:
- glibc
test: ./runtest.sh
framework: shell
framework: beakerlib
recommend:
- glibc
- expect